org.apache.ignite.internal.processors.datastructures

## Class DataStructureInfoKey

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.DataStructureInfoKey

All Implemented Interfaces:
  Serializable, GridCacheInternal

    public class DataStructureInfoKey
    extends Object
    implements GridCacheInternal, Serializable

Key used to store in utility cache information about created data structures.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataStructureInfoKey(String name)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataStructureInfoKey

    public DataStructureInfoKey(String name)

Parameters:
  `name` - Data structure name.

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017